org.eclipse.wst.jsdt.chromium.debug.ui.actions

## Class ChooseVmControl

- java.lang.Object
- - org.eclipse.wst.jsdt.chromium.debug.ui.actions.ChooseVmControl

    public class ChooseVmControl
    extends java.lang.Object

A UI control that presents the list of connections with remote V8 VMs. User may choose several VMs.

### Nested Class Summary

Nested Classes
`static interface` `ChooseVmControl.Logic` A public logic-oriented interface to this control.

### Constructor Summary

Constructors
Constructor and Description
`ChooseVmControl()`

### Method Summary

All Methods Static Methods Concrete Methods
`static ChooseVmControl.Logic` `create(Composite parent)`
`static <R> java.util.List<TableUtils.ColumnData<R,?>>` `createLaunchTargetColumns(TableUtils.ValueAdapter<R,ConnectedTargetData> rowValueAdapter)` Returns the list of column providers for launch/target columns that could be used in other controls; they only have to provide there row->column value adapter.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ChooseVmControl

    public ChooseVmControl()

### Method Detail

#### create

    public static ChooseVmControl.Logic create(Composite parent)

#### createLaunchTargetColumns

    public static <R> java.util.List<TableUtils.ColumnData<R,?>> createLaunchTargetColumns(TableUtils.ValueAdapter<R,ConnectedTargetData> rowValueAdapter)

Returns the list of column providers for launch/target columns that could be used in other controls; they only have to provide there row->column value adapter.